Loading...
 
Features / Usability

Features / Usability


Using and handling images and their metadata

posts: 55

Sorry to bother you with this Jonny Bradley, but I can't help myself...

I downloaded the files from the git repository, uploaded them to my site, connected to my server via ssh to run setup.sh and got stuck there. Seems like the script has issues. I am not experienced with linux command line, so I am unable to debug this. This is what it prints:

[root@[my server ip] test.wiki]# ./setup.sh /usr/bin/which: no php in (/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/root/bin:/bin:/usr/bin:/sbin:/usr/sbin:/usr/local/bin:/usr/local/sbin) Tiki setup.sh - your options ============================ Composer: If you are installing via a released Tiki package (zip, tar.gz, tar.bz2, 7z), you can and should skip using Composer. If you are installing and upgrading via SVN, you need to run Composer after 'svn checkout' and 'svn upgrade'. More info at https://doc.tiki.org/Composer c run composer (log output on screen, not all warnings) and exit (recommended to be done first) L run composer (log output to logfile) and exit (recommended to be done first) V run composer (verbose log output on screen) and exit (recommended to be done first) H make composer download packages over HTTP and return here For all Tiki instances (via SVN or via a released package): f fix file & directory permissions (classic default) o open file and directory permissions (classic option) S clear screen q quit x exit m display more directory permissions commands recommended for advanced users only. More documentation about this: https://doc.tiki.org/Permission+Check Your choice [f]? c ./setup.sh: line 660: : command not found ./setup.sh: line 663: [: : integer expression expected ./setup.sh: line 663: [: : integer expression expected Local PHP version >= to required PHP version 74 - good ./setup.sh: line 556: : command not found We have failed to obtain the composer executable. NB: Maybe you are behind a proxy, just export https_proxy variable and relaunch setup.sh 1) Download it from http://getcomposer.org 2) Store it in temp/


Then I put composer.phar in ./temp/ inside the tiki directory. It did not change much:

Your choice [f]? c ./setup.sh: line 660: : command not found ./setup.sh: line 663: [: : integer expression expected ./setup.sh: line 663: [: : integer expression expected Local PHP version >= to required PHP version 74 - good ./setup.sh: line 531: : command not found Composer self-update failed. Reinstalling composer ./setup.sh: line 556: : command not found We have failed to obtain the composer executable. NB: Maybe you are behind a proxy, just export https_proxy variable and relaunch setup.sh 1) Download it from http://getcomposer.org 2) Store it in temp/


-I checked that the server had direct internet access using ping google.com - no problem at all.
-I did run the "fix file & directory permissions" option - did not change anything.

Is it possible to just download 24.0 LTS and overwrite all files with the current 24.x branch? Maybe this way I don't need to run setup.sh... I cannot even compare 24.0 tagged commit with your toolbar revamp commit in 24.x branch (the gitlab website won't let me), to see if any dependencies changed.

Please give me a pointer to how I can get it working...